Anomie has uploaded a new change for review.

  https://gerrit.wikimedia.org/r/311800

Change subject: Remove pre-1.25 API compatibility code
......................................................................

Remove pre-1.25 API compatibility code

Since this extension uses extension.json, it already requires 1.25+ so
no need to keep the old code around.

Change-Id: I6eaaf3d2f72128c4b1f2b3648b195cc20286f93a
---
M ApiWikiLove.php
1 file changed, 1 insertion(+), 5 deletions(-)


  git pull ssh://gerrit.wikimedia.org:29418/mediawiki/extensions/WikiLove 
refs/changes/00/311800/1

diff --git a/ApiWikiLove.php b/ApiWikiLove.php
index f54af1b..fc5bf3d 100644
--- a/ApiWikiLove.php
+++ b/ApiWikiLove.php
@@ -73,11 +73,7 @@
 
                $api->execute();
 
-               if ( defined( 'ApiResult::META_CONTENT' ) ) {
-                       $result = $api->getResult()->getResultData();
-               } else {
-                       $result = $api->getResult()->getData();
-               }
+               $result = $api->getResult()->getResultData();
                if ( isset( $result['edit'] ) && $result['edit']['result'] === 
"Success" ) {
                        $revId = $result['edit']['newrevid'];
                        DeferredUpdates::addCallableUpdate( function() use ( 
$revId ) {

-- 
To view, visit https://gerrit.wikimedia.org/r/311800
To unsubscribe, visit https://gerrit.wikimedia.org/r/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I6eaaf3d2f72128c4b1f2b3648b195cc20286f93a
Gerrit-PatchSet: 1
Gerrit-Project: mediawiki/extensions/WikiLove
Gerrit-Branch: master
Gerrit-Owner: Anomie <bjor...@wikimedia.org>

_______________________________________________
MediaWiki-commits mailing list
MediaWiki-commits@lists.wikimedia.org
https://lists.wikimedia.org/mailman/listinfo/mediawiki-commits

Reply via email to